Ogre::BillboardChain::Element Class Reference

Contains the data of an element of the BillboardChain. More...

`#include <OgreBillboardChain.h>`

List of all members.

## Public Member Functions

| Element ()
| Element (const Vector3 &position, Real width, Real texCoord, const ColourValue &colour, const Quaternion &orientation)

## Public Attributes

Vector3 | position
Real | width
Real | texCoord
| U or V texture coord depending on options.
ColourValue | colour
Quaternion | orientation

## Detailed Description

Contains the data of an element of the BillboardChain.

Definition at line 83 of file OgreBillboardChain.h.

## Constructor & Destructor Documentation

Ogre::BillboardChain::Element::Element | ( |  | ) |

Ogre::BillboardChain::Element::Element | ( | const Vector3 & | position,
|  | Real | width,
|  | Real | texCoord,
|  | const ColourValue & | colour,
|  | const Quaternion & | orientation
| ) |  |

## Member Data Documentation

ColourValue Ogre::BillboardChain::Element::colour

Definition at line 100 of file OgreBillboardChain.h.

Quaternion Ogre::BillboardChain::Element::orientation

Definition at line 103 of file OgreBillboardChain.h.

Vector3 Ogre::BillboardChain::Element::position

Definition at line 96 of file OgreBillboardChain.h.

Real Ogre::BillboardChain::Element::texCoord

U or V texture coord depending on options.

Definition at line 99 of file OgreBillboardChain.h.

Real Ogre::BillboardChain::Element::width

Definition at line 97 of file OgreBillboardChain.h.

The documentation for this class was generated from the following file:

- OgreBillboardChain.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:26